/*  xa-004: Beatbox invitro 
 *  Copyright (C) Joakim Kolsjö and Anders Asplund 2005
 *	This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 
 */ 

using namespace std;

#include "ds/ds.h"
#include "scene/loader.h"
#include "scene/intro.h"
#include "scene/scene2.h"
#include "scene/scene3.h"
#include "scene/scene4.h"
#include "scene/scene5.h"

int main(int argc, char **argv)
{	
	DS::MDemo* pMDemo = DS::MDemo::Instance();
#ifdef DEBUG
	pMDemo->Init(800, 600, 32, false, "xa-004: Beatbox 2005 invitro",
		"xAngle\n Beatbox 2005 invitro", 22050, true, "../data", false, 1);
#else
	pMDemo->Init(640, 480, 32, true, "xa-004: Beatbox 2005 invitro",
		"xAngle\n Beatbox 2005 invitro", 22050, true, "../data", false, 1);
#endif
	
	// Add scenes
	Scene::Loader* pLoader = new Scene::Loader;
	Scene::Intro* pIntro = new Scene::Intro;
	Scene::Scene2* pScene2 = new Scene::Scene2;
	Scene::Scene3* pScene3 = new Scene::Scene3;
	Scene::Scene4* pScene4 = new Scene::Scene4;
	Scene::Scene5* pScene5 = new Scene::Scene5;
	pMDemo->AddScene(pLoader);
	pMDemo->AddScene(pIntro);
	pMDemo->AddScene(pScene2);
	pMDemo->AddScene(pScene3);
	pMDemo->AddScene(pScene4);
	pMDemo->AddScene(pScene5);
	
	// Run
	pMDemo->Run(argc, argv);
	return 0;
}
